
#import optparse
import os
import psutil
import sys
import transaction
from Products.CMFCore.utils import getToolByName
from Testing.makerequest import makerequest
from zope.component.hooks import setSite
from zope.globalrequest import setRequest

PROTOCOL = 'https'
PORT = '443'
PORTAL = 'Plone'
HOSTNAME = 'www.cnm.edu'
PID_FILE = '/srv/scripts/report_runner.pid'


def main(app):
#    parser = optparse.OptionParser()
#
#    parser.add_option('--protocol', default='http')
#    parser.add_option('--port', default='80')
#    parser.add_option('--portal', default='Plone')
#    parser.add_option('--hostname')
#    parser.add_option('--pid-file', default='./report_runner.pid')
#    options, args = parser.parse_args()
#    pid_file = options.pid_file
    pid_file = PID_FILE
    if os.path.exists(pid_file):
        pid = open(pid_file, 'r').read()
        if pid and psutil.pid_exists(int(pid)):
            print('A report runner process is already running with pid %s' % pid)
            sys.exit(1)
    pfile = open(pid_file, 'w')
    pfile.write(str(os.getpid()))
    pfile.flush()
    pfile.close()
    try:
        #hostname = options.hostname
        #protocol = options.protocol
        #port = options.port
        hostname = HOSTNAME
        protocol = PROTOCOL
        port = PORT
        environ = {
            'SERVER_NAME': hostname,
            'SERVER_PROTOCOL': protocol,
            'SERVER_PORT': port,
        }

        app = makerequest(app, environ=environ)
        #portal = getattr(app, options.portal)
        portal = getattr(app, PORTAL)
        setSite(portal)
        request = portal.REQUEST
        request.setServerURL(protocol=protocol, hostname=hostname, port=port)
        request['PARENTS'] = [portal]
        request.setVirtualRoot('/')
        request['PARENTS'].append(app)
        setRequest(request)
        tool = getToolByName(portal, 'content_reports_tool')
        while tool.has_reports():
            tool.run_next_report()
            transaction.commit()
    finally:
        os.unlink(pid_file)

if __name__ == '__main__':
    main(app)
